<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
    <div id="app">
        <form>
            <input type="text" name="name" ref="name" v-model="nama">
            <input type="submit" v-if="show == 'Add'" @click.prevent='newUser' value="Add">
            <input type="submit" v-else="show" @click.prevent='updateUser(nomor)' value="Update">
        </form>
		<ul>
			<li v-for="(user, key) in users">
				<span>{{ user.name }}</span>
				<button @click="changeButton(key)">Edit</button>
				<span> | </span>
				<button @click='deleteUser(key)'>Delete</button><br><br>
			</li>
		</ul>
    </div>
  
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                nama: '',
                show: 'Add',
                nomor: 0,
                users: [
                    {name: 'Mohammed Farrell Eghar'},
                    {name: 'Ruby Purwanti'},
                    {name: 'Faqih Muhammad'}
                ]
            },
            methods: {
                newUser: function () {
                    this.users.push({"name" : this.nama})
                    this.nama = ''
                },
                changeButton: function (index) {
                    this.show = ''
                    this.nama = this.users[index]["name"]
                    this.nomor = index
                    this.$refs.name.focus()
                },
                updateUser: function (index) {
                    this.users[index]["name"] = this.nama
                    this.nama = ''
                    this.show = 'Add'
                },
                deleteUser: function (index) {
                    
                    if (confirm("Anda Yakin?")) {
                        this.users.splice(index,1)
                    }
                }
            }
        })
    </script>
</body>
</html>